{% extends "./plantilla.html" %}
{% load static %}

{% block contenido %}
<div class="row tm-content-row tm-mt-big">
    <div class="col-xl-6 col-lg-6 tm-md-12 tm-sm-12 tm-col">
        <div class="bg-white tm-block h-100">
            <center><h1 class="mt-3 mx-2 text-dark"><strong>JUGADORES</strong></h1>
              <form action="/guardarJugador/" method="post" enctype="multipart/form-data" id="frm_nuevo_jugador">
                {% csrf_token %}
                <br>
                <b>APELLIDO:</b>
                <input type="text" name="apellido_jug" id="apellido_jug" value="" placeholder="Ingrese el apellido del jugador" class="form-control" required>
                <br>
                <b>NOMBRE:</b>
                <input type="text" name="nombre_jug" id="nombre_jug" value="" placeholder="Ingrese el nombre del jugador" class="form-control" required>
                <br>
                <b>ESTATURA:</b>
                <input type="number" step="0.01" name="estatura_jug" id="estatura_jug" placeholder="Ingrese la estatura del jugador" class="form-control" required>
                <br>
                <b>SALARIO:</b>
                <input type="number" step="0.01" name="salario_jug" id="salario_jug" placeholder="Ingrese el salario del jugador" class="form-control" required>
                <br>
                <b>ESTADO:</b>
                <input type="text" name="estado_jug" id="estado_jug" placeholder="Ingrese el estado del jugador" class="form-control" required>
                <br>
                <b>POSICIÓN:</b>
                <select name="fk_id_pos" id="fk_id_pos" class="form-control" required>
                    {% for posicion in posiciones %}
                        <option value="{{ posicion.id_pos }}">{{ posicion.nombre_pos }}</option>
                    {% endfor %}
                </select>
                <br>
                <b>EQUIPO:</b>
                <select name="fk_id_equi" id="fk_id_equi" class="form-control" required>
                    {% for equipo in equipos %}
                        <option value="{{ equipo.id_equi }}">{{ equipo.nombre_equi }}</option>
                    {% endfor %}
                </select>
                <br>
                <center>
                    <button type="submit" name="button" class="btn btn-primary">Guardar</button>
                    &nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;
                    <a href="/" class="btn btn-danger ml-2">Cancelar</a>
                </center>
            </form>
        </div>
    </div>

    <div class="col-xl-6 col-lg-6 tm-md-12 tm-sm-12 tm-col">
        <div class="bg-white tm-block h-100">
            <div class="table-responsive mt-3">
                <table class="table table-hover table-striped tm-table-striped-even">
                  <thead class="table-dark">
                        <tr>
                            <th>ID</th>
                            <th>APELLIDO</th>
                            <th>NOMBRE</th>
                            <th>ESTATURA</th>
                            <th>SALARIO</th>
                            <th>ESTADO</th>
                            <th>POSICIÓN</th>
                            <th>EQUIPO</th>
                            <th>ACCIONES</th>
                        </tr>
                    </thead>
                    <tbody>
                      {% for jugador in jugadores %}
                        <tr>
                          <td>{{ jugador.id_jug }}</td>
                          <td>{{ jugador.apellido_jug }}</td>
                          <td>{{ jugador.nombre_jug }}</td>
                          <td>{{ jugador.estatura_jug }}</td>
                          <td>{{ jugador.salario_jug }}</td>
                          <td>{{ jugador.estado_jug }}</td>
                          <td>{{ jugador.fk_id_pos.nombre_pos }}</td>
                          <td>{{ jugador.fk_id_equi.nombre_equi }}</td>
                          <td>
                          <a href="/editarJugador/{{ jugador.id_jug }}" class="btn btn-warning btn-sm">Editar</a>
                          <a href="javascript:void(0)" onclick="eliminarJugador('/eliminarJugador/{{ jugador.id_jug }}');" class="btn btn-danger btn-sm">Eliminar</a>
                        </td>
                        </tr>
                      {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    function eliminarJugador(url) {
        iziToast.question({
            timeout: 15000,
            close: true,
            overlay: true,
            displayMode: 'once',
            id: 'question',
            zindex: 999,
            title: 'CONFIRMACIÓN',
            message: '¿Está seguro de eliminar la posición seleccionada?',
            position: 'center',
            buttons: [
                ['<button><b>SI</b></button>', function (instance, toast) {
                    instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                    window.location.href=url;
                }, true],
                ['<button>NO</button>', function (instance, toast) {
                    instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                }],
            ]
        });
    }
</script>
{% endblock %}
